# ADFS / Turnstile Socialite Provider

## Installation

Run:

`php artisan vendor:publish --provider=Drp\\AdfsSocialiteProvider\\ServiceProvider`

Add this to your `.env`

```dotenv
ADFS_AUTH_URL=
ADFS_TOKEN_URL=
ADFS_CLIENT_ID=
ADFS_CLIENT_SECRET=
```

Make sure if you are using fillable attributes that `adfs_id`

### Customising the redirect

If you would like to override where the adfs provider redirects 
the user after logging in then override `adfs.redirect` in the application
with your own response.

For example:

```php
$this->app->bind('adfs.redirect', function () {
    return redirect()->route('my-new-route');
});
```

### Updating Config
After running the publish command, you should see a new config file, `turnstile.php`. Update the values in this file (if required) to fit your applications requirements.
